diff --git a/books/bookvolbib.pamphlet b/books/bookvolbib.pamphlet
index c745dca..015ba36 100644
--- a/books/bookvolbib.pamphlet
+++ b/books/bookvolbib.pamphlet
@@ -846,6 +846,9 @@ Maxwell Rosenlicht. Integration in finite terms.
 Michael Rothstein. ``A new algorithm for the integration of
 exponential and logarithmic functions'' In {\sl Proceedings of the 1977
 MACSYMA Users Conference}, pages 263-274. NASA Pub CP-2012, 1977
+\bibitem[Ste90]{Ste90}
+Steele, Guy L. ``Common Lisp The Language'' Second Edition
+ISBN 1-55558-041-6 Digital Press (1990)
 \bibitem[St93]{St93}
 Stichtenoth, H. ``Algebraic function fields and codes''
 Springer-Verlag, 1993, University Text.
diff --git a/changelog b/changelog
index fcf652e..d42be0c 100644
--- a/changelog
+++ b/changelog
@@ -1,3 +1,55 @@
+20100904 tpd src/axiom-website/patches.html 20100904.02.tpd.patch
+20100904 tpd books/bookvolbib add Steele [Ste90]
+20100904 tpd src/axiom-website/patches.html 20100904.01.tpd.patch
+20100904 tpd src/interp/vmlisp.lisp remove memq
+20100904 tpd src/interp/util.lisp remove memq
+20100904 tpd src/interp/termrw.lisp remove memq
+20100904 tpd src/interp/template.lisp remove memq
+20100904 tpd src/interp/sys-pkg.lisp remove memq
+20100904 tpd src/interp/slam.lisp remove memq
+20100904 tpd src/interp/simpbool.lisp remove memq
+20100904 tpd src/interp/profile.lisp remove memq
+20100904 tpd src/interp/parsing.lisp remove memq
+20100904 tpd src/interp/package.lisp remove memq
+20100904 tpd src/interp/nrunopt.lisp remove memq
+20100904 tpd src/interp/nrungo.lisp remove memq
+20100904 tpd src/interp/nrunfast.lisp remove memq
+20100904 tpd src/interp/nruncomp.lisp remove memq
+20100904 tpd src/interp/newfort.lisp remove memq
+20100904 tpd src/interp/msgdb.lisp remove memq
+20100904 tpd src/interp/modemap.lisp remove memq
+20100904 tpd src/interp/lisplib.lisp remove memq
+20100904 tpd src/interp/iterator.lisp remove memq
+20100904 tpd src/interp/info.lisp remove memq
+20100904 tpd src/interp/i-util.lisp remove memq
+20100904 tpd src/interp/i-spec1.lisp remove memq
+20100904 tpd src/interp/i-resolv.lisp remove memq
+20100904 tpd src/interp/i-output.lisp remove memq
+20100904 tpd src/interp/i-map.lisp remove memq
+20100904 tpd src/interp/i-funsel.lisp remove memq
+20100904 tpd src/interp/i-coerce.lisp remove memq
+20100904 tpd src/interp/i-analy.lisp remove memq
+20100904 tpd src/interp/ht-util.lisp remove memq
+20100904 tpd src/interp/g-util.lisp remove memq
+20100904 tpd src/interp/g-opt.lisp remove memq
+20100904 tpd src/interp/g-cndata.lisp remove memq
+20100904 tpd src/interp/g-boot.lisp remove memq
+20100904 tpd src/interp/functor.lisp remove memq
+20100904 tpd src/interp/fortcall.lisp remove memq
+20100904 tpd src/interp/format.lisp remove memq
+20100904 tpd src/interp/define.lisp remove memq
+20100904 tpd src/interp/database.lisp remove memq
+20100904 tpd src/interp/compiler.lisp remove memq
+20100904 tpd src/interp/clam.lisp remove memq
+20100904 tpd src/interp/cattable.lisp remove memq
+20100904 tpd src/interp/category.lisp remove memq
+20100904 tpd src/interp/c-util.lisp remove memq
+20100904 tpd src/interp/c-doc.lisp remove memq
+20100904 tpd src/interp/br-con.lisp remove memq
+20100904 tpd src/interp/ax.lisp remove memq
+20100904 tpd src/interp/as.lisp remove memq
+20100904 tpd books/bookvol9 remove memq
+20100904 tpd books/bookvol5 remove memq
 20100903 tpd src/axiom-website/patches.html 20100903.01.tpd.patch
 20100903 tpd src/interp/compiler.lisp treeshake compiler
 20100903 tpd books/bookvol9 treeshake compiler
diff --git a/src/axiom-website/patches.html b/src/axiom-website/patches.html
index 41f6d6b..8117f62 100644
--- a/src/axiom-website/patches.html
+++ b/src/axiom-website/patches.html
@@ -3101,5 +3101,9 @@ books/bookvol9 treeshake compiler<br/>
 books/bookvol9 treeshake compiler<br/>
 <a href="patches/20100903.01.tpd.patch">20100903.01.tpd.patch</a>
 books/bookvol9 treeshake compiler<br/>
+<a href="patches/20100904.01.tpd.patch">20100904.01.tpd.patch</a>
+src/interp/*.pamphlet remove memq<br/>
+<a href="patches/20100904.02.tpd.patch">20100904.02.tpd.patch</a>
+books/bookvolbib add Steele [Ste90]
  </body>
 </html>
